Freeciv-3.1: Treaty Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
Treaty Struct Reference

`#include <diptreaty.h>`

## Data Fields

struct player * | plr0
struct player * | plr1
bool | accept0
bool | accept1
struct clause_list * | clauses

## Detailed Description

Definition at line 76 of file diptreaty.h.

## Field Documentation

## ◆ accept0

bool Treaty::accept0

Definition at line 78 of file diptreaty.h.

Referenced by add_clause(), handle_diplomacy_accept_treaty(), handle_diplomacy_accept_treaty_req(), init_treaty(), reject_all_treaties(), remove_clause(), send_diplomatic_meetings(), sg_load_treaties(), sg_load_treaties(), update_acceptance_icons(), update_diplomacy_dialog(), and diplo_wdg::update_wdg().

## ◆ accept1

bool Treaty::accept1

Definition at line 78 of file diptreaty.h.

Referenced by add_clause(), handle_diplomacy_accept_treaty(), handle_diplomacy_accept_treaty_req(), init_treaty(), reject_all_treaties(), remove_clause(), send_diplomatic_meetings(), sg_load_treaties(), sg_load_treaties(), update_acceptance_icons(), update_diplomacy_dialog(), and diplo_wdg::update_wdg().

## ◆ clauses

struct clause_list* Treaty::clauses

Definition at line 79 of file diptreaty.h.

Referenced by add_clause(), clear_old_treaty(), clear_treaty(), dai_treaty_accepted(), dai_treaty_evaluate(), diplo_wdg::dbl_click(), handle_diplomacy_accept_treaty_req(), init_treaty(), remove_clause(), row_callback(), send_diplomatic_meetings(), update_clauses_list(), update_diplomacy_dialog(), and diplo_wdg::update_wdg().

## ◆ plr0

struct player* Treaty::plr0

Definition at line 77 of file diptreaty.h.

Referenced by add_clause(), create_clause_menu(), dai_treaty_evaluate(), diplo_wdg::dbl_click(), diplomacy_dialog_add_pact_clause(), diplomacy_dialog_add_pact_clause(), find_treaty(), diplo_wdg::give_embassy(), diplo_wdg::give_shared_vision(), handle_diplomacy_accept_treaty_req(), init_treaty(), diplo_wdg::pact_allianze(), diplo_wdg::pact_ceasfire(), diplo_wdg::pact_peace(), popup_add_menu(), diplo_wdg::response_accept(), diplo_wdg::response_cancel(), diplo_wdg::sea_map_clause(), send_diplomatic_meetings(), update_diplomacy_dialog(), and diplo_wdg::world_map_clause().

## ◆ plr1

struct player * Treaty::plr1

Definition at line 77 of file diptreaty.h.

Referenced by add_clause(), diplo_dialog_returnkey(), diplomacy_dialog_add_pact_clause(), diplomacy_dialog_add_pact_clause(), diplomacy_dialog_embassy_callback(), diplomacy_dialog_embassy_callback(), diplomacy_dialog_map_callback(), diplomacy_dialog_map_callback(), diplomacy_dialog_seamap_callback(), diplomacy_dialog_seamap_callback(), diplomacy_dialog_vision_callback(), diplomacy_dialog_vision_callback(), diplomacy_response(), find_treaty(), init_treaty(), popup_add_menu(), row_callback(), update_clauses_list(), and update_diplomacy_dialog().